List table rows with pagination
curl --request GET \
--url https://api.nuvia.ai/v1/tables/{id}/rows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/tables/{id}/rows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/tables/{id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Tabelas e Listas
List table rows with pagination
GET
/
v1
/
tables
/
{id}
/
rows
List table rows with pagination
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Table ID
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
x >= 1ID of the view to use. If omitted, uses the default view (lists only)
Filters to apply to the rows
Show child attributes
Show child attributes
Column to sort by (overrides the view's sort)
Sort direction
Available options:
asc, desc Specific row IDs to return (export selected). When provided, ignores pagination and returns only these rows.
Maximum array length:
10000IDs of rows to exclude from the result. Used when "select all" is active.
Maximum array length:
10000Response
200 - application/json
The response is of type object.